Go Back   Cockos Incorporated Forums > REAPER Forums > REAPER for Linux

Reply
 
Thread Tools Display Modes
Old 05-16-2019, 01:37 PM   #1
minizzZ
Human being with feelings
 
Join Date: Sep 2016
Posts: 12
Default Reapack and SWS doesn't work on Raspberry Pi3B+

Hello,

I've got a Raspberry Pi 3B+ with reaper on it. I've put the latest reapack and SWS in config/REAPER/UserPlugins but when I start Reaper I get this message:

pi@raspberrypi:~ $ reaper
swell: dlopen() failed: /home/pi/.config/REAPER/UserPlugins/reaper_reapack32.so: cannot open shared object file: No such file or directory
Error loading /home/pi/.config/REAPER/UserPlugins/reaper_reapack32.so: (null)
swell: dlopen() failed: /lib/arm-linux-gnueabihf/libc.so.6: version `GLIBC_2.28' not found (required by /home/pi/.config/REAPER/UserPlugins/reaper_sws_armv7l.so)
Error loading /home/pi/.config/REAPER/UserPlugins/reaper_sws_armv7l.so: (null)

Does anybody has a quick fix?

If not: What I understand is that a library is missing: GLIBC_2.28. Now I'm a bit of a NOOB with Raspbian and if I look at this it's all gobbledygook: https://sourceware.org/glibc/wiki/Te...nder_new_glibc so if anybody has a good tutorial about how to understand this?

Last edited by minizzZ; 05-16-2019 at 01:59 PM.
minizzZ is offline   Reply With Quote
Old 05-16-2019, 03:03 PM   #2
cfillion
Human being with feelings
 
cfillion's Avatar
 
Join Date: May 2015
Location: Québec, Canada
Posts: 2,682
Default

ReaPack does not support Linux ARM at this time. The 32-bit version is for the x86 architecture.

As for SWS, is that my armv7l build from cfillion.ca? I made it on ArchLinux ARM and so it is linked against the GNU C Library v2.28.

You can try this armv7l build of the previous version of SWS (v2.9.8) which was made using an older glibc: https://landoleet.org/reaper_sws_armv7l_fc28caa7.tar.xz. Or, alternatively, compile the current version of SWS (v2.10.0) yourself to produce a binary tailored to your OS distribution's libraries: https://github.com/reaper-oss/sws/wi...-SWS-Extension.

Last edited by cfillion; 05-16-2019 at 03:19 PM.
cfillion is offline   Reply With Quote
Old 05-17-2019, 02:13 AM   #3
minizzZ
Human being with feelings
 
Join Date: Sep 2016
Posts: 12
Default

Quote:
Originally Posted by cfillion View Post
ReaPack does not support Linux ARM at this time. The 32-bit version is for the x86 architecture.

As for SWS, is that my armv7l build from cfillion.ca? I made it on ArchLinux ARM and so it is linked against the GNU C Library v2.28.

You can try this armv7l build of the previous version of SWS (v2.9.8) which was made using an older glibc: https://landoleet.org/reaper_sws_armv7l_fc28caa7.tar.xz. Or, alternatively, compile the current version of SWS (v2.10.0) yourself to produce a binary tailored to your OS distribution's libraries: https://github.com/reaper-oss/sws/wi...-SWS-Extension.
Thank you, you made my day!
minizzZ is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -7. The time now is 09:31 PM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.